#include "WimaSettings.h"
#include <QQmlEngine>
#include <QtQml>

DECLARE_SETTINGGROUP(Wima, "Wima")
{
    QQmlEngine::setObjectOwnership(this, QQmlEngine::CppOwnership); \
    qmlRegisterUncreatableType<WimaSettings>("QGroundControl.SettingsManager", 1, 0, "WimaSettings", "Reference only"); \
}

DECLARE_SETTINGSFACT(WimaSettings, lowBatteryThreshold)
DECLARE_SETTINGSFACT(WimaSettings, enableLowBatteryHandling)
DECLARE_SETTINGSFACT(WimaSettings, minimalRemainingMissionTime)
